from huawei_solar_tools.devices.device import Device
from huawei_solar_tools.registers.power_meter_registers import power_meter_registers
class PowerMeter(Device):
    """
    Clase Battery que hereda de Device.
    Diseñada para manejar funcionalidades específicas de las baterías según el manual Huawei.
    """
    def __init__(self, host, port, slave_id):
        """
        Inicializa la clase Battery con los parámetros básicos para comunicación Modbus.

        :param host: Dirección IP del dispositivo.
        :param port: Puerto del dispositivo.
        :param slave_id: ID del dispositivo esclavo Modbus.
        """
        super().__init__(host, port, slave_id, power_meter_registers)