battery_registers = {
    "energy_storage_unit_1_running_status": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 37000,
        "quantity": 1,
    },
    "energy_storage_unit_1_charge_and_discharge_power": {
        "read_write": "RO",
        "type": "INT32",
        "unit": "W",
        "gain": 1,
        "address": 37001,
        "quantity": 2,
    },
    "energy_storage_unit_1_bus_voltage": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "V",
        "gain": 10,
        "address": 37003,
        "quantity": 1,
    },
    "energy_storage_unit_1_soc": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "%",
        "gain": 10,
        "address": 37004,
        "quantity": 1,
    },
    "energy_storage_unit_1_working_mode": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 37006,
        "quantity": 1,
    },
    "energy_storage_unit_1_rated_charge_power": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "W",
        "gain": 1,
        "address": 37007,
        "quantity": 2,
    },
    "energy_storage_unit_1_rated_discharge_power": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "W",
        "gain": 1,
        "address": 37009,
        "quantity": 2,
    },
    "energy_storage_unit_1_fault_id": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 37014,
        "quantity": 1,
    },
    "energy_storage_unit_1_current_day_charge_capacity": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 37015,
        "quantity": 2,
    },
    "energy_storage_unit_1_current_day_discharge_capacity": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 37017,
        "quantity": 2,
    },
    "energy_storage_unit_1_bus_current": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "A",
        "gain": 10,
        "address": 37021,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_temperature": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "°C",
        "gain": 10,
        "address": 37022,
        "quantity": 1,
    },
    "energy_storage_unit_1_remaining_charge_discharge_time": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "mins",
        "gain": 1,
        "address": 37025,
        "quantity": 1,
    },
    "energy_storage_unit_1_dcdc_version": {
        "read_write": "RO",
        "type": "STR",
        "unit": "N/A",
        "gain": 1,
        "address": 37026,
        "quantity": 10,
    },
    "energy_storage_unit_1_bms_version": {
        "read_write": "RO",
        "type": "STR",
        "unit": "N/A",
        "gain": 1,
        "address": 37036,
        "quantity": 10,
    },
    "energy_storage_unit_1_maximum_charge_power": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "W",
        "gain": 1,
        "address": 37046,
        "quantity": 2,
    },
    "energy_storage_unit_1_maximum_discharge_power": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "W",
        "gain": 1,
        "address": 37048,
        "quantity": 2,
    },
    "energy_storage_unit_1_sn": {
        "read_write": "RO",
        "type": "STR",
        "unit": "N/A",
        "gain": 1,
        "address": 37052,
        "quantity": 10,
    },
    "energy_storage_unit_1_total_charge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 37066,
        "quantity": 2,
    },
    "energy_storage_unit_1_total_discharge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 37068,
        "quantity": 2,
    },
    "energy_storage_unit_2_sn": {
        "read_write": "RO",
        "type": "MLD",
        "unit": "N/A",
        "gain": 1,
        "address": 37700,
        "quantity": 10,
    },
    "energy_storage_unit_2_battery_soc": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "%",
        "gain": 10,
        "address": 37738,
        "quantity": 1,
    },
    "energy_storage_unit_2_running_status": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 37741,
        "quantity": 1,
    },
    "energy_storage_unit_2_charge_and_discharge_power": {
        "read_write": "RO",
        "type": "INT32",
        "unit": "W",
        "gain": 1,
        "address": 37743,
        "quantity": 2,
    },
    "energy_storage_unit_2_current_day_charge_capacity": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 37746,
        "quantity": 2,
    },
    "energy_storage_unit_2_current_day_discharge_capacity": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 37748,
        "quantity": 2,
    },
    "energy_storage_unit_2_bus_voltage": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "V",
        "gain": 10,
        "address": 37750,
        "quantity": 1,
    },
    "energy_storage_unit_2_bus_current": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "A",
        "gain": 10,
        "address": 37751,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_temperature": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "°C",
        "gain": 10,
        "address": 37752,
        "quantity": 1,
    },
    "energy_storage_unit_2_total_charge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 37753,
        "quantity": 2,
    },
    "energy_storage_unit_2_total_discharge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 37755,
        "quantity": 2,
    },
    "energy_storage_rated_capacity": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "Wh",
        "gain": 1,
        "address": 37758,
        "quantity": 2,
    },
    "energy_storage_soc": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "%",
        "gain": 10,
        "address": 37760,
        "quantity": 1,
    },
    "energy_storage_running_status": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 37762,
        "quantity": 1,
    },
    "energy_storage_bus_voltage": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "V",
        "gain": 10,
        "address": 37763,
        "quantity": 1,
    },
    "energy_storage_bus_current": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "A",
        "gain": 10,
        "address": 37764,
        "quantity": 1,
    },
    "energy_storage_charge_discharge_power": {
        "read_write": "RO",
        "type": "INT32",
        "unit": "W",
        "gain": 1,
        "address": 37765,
        "quantity": 2,
    },
    "energy_storage_total_charge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 37780,
        "quantity": 2,
    },
    "energy_storage_total_discharge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 37782,
        "quantity": 2,
    },
    "energy_storage_current_day_charge_capacity": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 37784,
        "quantity": 2,
    },
    "energy_storage_current_day_discharge_capacity": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 37786,
        "quantity": 2,
    },
    "energy_storage_unit_2_software_version": {
        "read_write": "RO",
        "type": "STR",
        "unit": "N/A",
        "gain": 1,
        "address": 37799,
        "quantity": 15,
    },
    "energy_storage_unit_1_software_version": {
        "read_write": "RO",
        "type": "STR",
        "unit": "N/A",
        "gain": 1,
        "address": 37814,
        "quantity": 15,
    },
    "energy_storage_unit_1_battery_pack1_soh_calibration_status": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 37920,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack2_soh_calibration_status": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 37921,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack3_soh_calibration_status": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 37922,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack1_soh_calibration_status": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 37923,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack2_soh_calibration_status": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 37924,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack3_soh_calibration_status": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 37925,
        "quantity": 1,
    },
    "soh_calibration_status": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 37926,
        "quantity": 1,
    },
    "soh_calibration_release_lower_discharge_limit_soc": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 10,
        "address": 37927,
        "quantity": 1,
    },
    "soh_calibration_enable_backup_power_soc": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 10,
        "address": 37928,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack1_sn": {
        "read_write": "RO",
        "type": "STR",
        "unit": "N/A",
        "gain": 1,
        "address": 38200,
        "quantity": 10,
    },
    "energy_storage_unit_1_battery_pack1_firmware_version": {
        "read_write": "RO",
        "type": "STR",
        "unit": "N/A",
        "gain": 1,
        "address": 38210,
        "quantity": 15,
    },
    "energy_storage_unit_1_battery_pack1_working_status": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 38228,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack1_soc": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "%",
        "gain": 10,
        "address": 38229,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack1_charge_discharge_power": {
        "read_write": "RO",
        "type": "INT32",
        "unit": "kW",
        "gain": 1000,
        "address": 38233,
        "quantity": 2,
    },
    "energy_storage_unit_1_battery_pack1_voltage": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "V",
        "gain": 10,
        "address": 38235,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack1_current": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "A",
        "gain": 10,
        "address": 38236,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack1_total_charge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 38238,
        "quantity": 2,
    },
    "energy_storage_unit_1_battery_pack1_total_discharge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 38240,
        "quantity": 2,
    },
    "energy_storage_unit_1_battery_pack2_sn": {
        "read_write": "RO",
        "type": "STR",
        "unit": "N/A",
        "gain": 1,
        "address": 38242,
        "quantity": 10,
    },
    "energy_storage_unit_1_battery_pack2_firmware_version": {
        "read_write": "RO",
        "type": "STR",
        "unit": "N/A",
        "gain": 1,
        "address": 38252,
        "quantity": 15,
    },
    "energy_storage_unit_1_battery_pack2_working_status": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 38270,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack2_soc": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "%",
        "gain": 10,
        "address": 38271,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack2_charge_discharge_power": {
        "read_write": "RO",
        "type": "INT32",
        "unit": "kW",
        "gain": 1000,
        "address": 38275,
        "quantity": 2,
    },
    "energy_storage_unit_1_battery_pack2_voltage": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "V",
        "gain": 10,
        "address": 38277,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack2_current": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "A",
        "gain": 10,
        "address": 38278,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack2_total_charge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 38280,
        "quantity": 2,
    },
    "energy_storage_unit_1_battery_pack2_total_discharge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 38282,
        "quantity": 2,
    },
    "energy_storage_unit_1_battery_pack3_sn": {
        "read_write": "RO",
        "type": "STR",
        "unit": "N/A",
        "gain": 1,
        "address": 38284,
        "quantity": 10,
    },
    "energy_storage_unit_1_battery_pack3_firmware_version": {
        "read_write": "RO",
        "type": "STR",
        "unit": "N/A",
        "gain": 1,
        "address": 38294,
        "quantity": 15,
    },
    "energy_storage_unit_1_battery_pack3_working_status": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 38312,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack3_soc": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "%",
        "gain": 10,
        "address": 38313,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack3_charge_discharge_power": {
        "read_write": "RO",
        "type": "INT32",
        "unit": "kW",
        "gain": 1000,
        "address": 38317,
        "quantity": 2,
    },
    "energy_storage_unit_1_battery_pack3_voltage": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "V",
        "gain": 10,
        "address": 38319,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack3_current": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "A",
        "gain": 10,
        "address": 38320,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack3_total_charge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 38322,
        "quantity": 2,
    },
    "energy_storage_unit_1_battery_pack3_total_discharge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 38324,
        "quantity": 2,
    },
    "energy_storage_unit_2_battery_pack1_sn": {
        "read_write": "RO",
        "type": "STR",
        "unit": "N/A",
        "gain": 1,
        "address": 38326,
        "quantity": 10,
    },
    "energy_storage_unit_2_battery_pack1_firmware_version": {
        "read_write": "RO",
        "type": "STR",
        "unit": "N/A",
        "gain": 1,
        "address": 38336,
        "quantity": 15,
    },
    "energy_storage_unit_2_battery_pack1_working_status": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 38354,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack1_jsoc": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "%",
        "gain": 10,
        "address": 38355,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack1_charge_discharge_power": {
        "read_write": "RO",
        "type": "INT32",
        "unit": "kW",
        "gain": 1000,
        "address": 38359,
        "quantity": 2,
    },
    "energy_storage_unit_2_battery_pack1_voltage": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "V",
        "gain": 10,
        "address": 38361,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack1_current": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "A",
        "gain": 10,
        "address": 38362,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack1_total_charge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 38364,
        "quantity": 2,
    },
    "energy_storage_unit_2_battery_pack1_total_discharge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 38366,
        "quantity": 2,
    },
    "energy_storage_unit_2_battery_pack2_sn": {
        "read_write": "RO",
        "type": "STR",
        "unit": "N/A",
        "gain": 1,
        "address": 38368,
        "quantity": 10,
    },
    "energy_storage_unit_2_battery_pack2_firmware_version": {
        "read_write": "RO",
        "type": "STR",
        "unit": "N/A",
        "gain": 1,
        "address": 38378,
        "quantity": 15,
    },
    "energy_storage_unit_2_battery_pack2_working_status": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 38396,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack2_soc": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "%",
        "gain": 10,
        "address": 38397,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack2_charge_discharge_power": {
        "read_write": "RO",
        "type": "INT32",
        "unit": "kW",
        "gain": 1000,
        "address": 38401,
        "quantity": 2,
    },
    "energy_storage_unit_2_battery_pack2_voltage": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "V",
        "gain": 10,
        "address": 38403,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack2_current": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "A",
        "gain": 10,
        "address": 38404,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack2_total_charge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 38406,
        "quantity": 2,
    },
    "energy_storage_unit_2_battery_pack2_total_discharge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 38408,
        "quantity": 2,
    },
    "energy_storage_unit_2_battery_pack3_sn": {
        "read_write": "RO",
        "type": "STR",
        "unit": "N/A",
        "gain": 1,
        "address": 38410,
        "quantity": 10,
    },
    "energy_storage_unit_2_battery_pack3_firmware_version": {
        "read_write": "RO",
        "type": "STR",
        "unit": "N/A",
        "gain": 1,
        "address": 38420,
        "quantity": 15,
    },
    "energy_storage_unit_2_battery_pack3_working_status": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 38438,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack3_soc": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "%",
        "gain": 10,
        "address": 38439,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack3_charge_discharge_power": {
        "read_write": "RO",
        "type": "INT32",
        "unit": "kW",
        "gain": 1000,
        "address": 38443,
        "quantity": 2,
    },
    "energy_storage_unit_2_battery_pack3_voltage": {
        "read_write": "RO",
        "type": "UINT16",
        "unit": "V",
        "gain": 10,
        "address": 38445,
        "quantity": 1,
    },
        "energy_storage_unit_2_battery_pack3_current": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "A",
        "gain": 10,
        "address": 38446,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack3_total_charge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 38448,
        "quantity": 2,
    },
    "energy_storage_unit_2_battery_pack3_total_discharge": {
        "read_write": "RO",
        "type": "UINT32",
        "unit": "kWh",
        "gain": 100,
        "address": 38450,
        "quantity": 2,
    },
    "energy_storage_unit_1_battery_pack1_maximum_temperature": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "°C",
        "gain": 10,
        "address": 38452,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack1_minimum_temperature": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "°C",
        "gain": 10,
        "address": 38453,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack2_maximum_temperature": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "°C",
        "gain": 10,
        "address": 38454,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack2_minimum_temperature": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "°C",
        "gain": 10,
        "address": 38455,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack3_maximum_temperature": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "°C",
        "gain": 10,
        "address": 38456,
        "quantity": 1,
    },
    "energy_storage_unit_1_battery_pack3_minimum_temperature": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "°C",
        "gain": 10,
        "address": 38457,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack1_maximum_temperature": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "°C",
        "gain": 10,
        "address": 38458,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack1_minimum_temperature": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "°C",
        "gain": 10,
        "address": 38459,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack2_maximum_temperature": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "°C",
        "gain": 10,
        "address": 38460,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack2_minimum_temperature": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "°C",
        "gain": 10,
        "address": 38461,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack3_maximum_temperature": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "°C",
        "gain": 10,
        "address": 38462,
        "quantity": 1,
    },
    "energy_storage_unit_2_battery_pack3_minimum_temperature": {
        "read_write": "RO",
        "type": "INT16",
        "unit": "°C",
        "gain": 10,
        "address": 38463,
        "quantity": 1,
    },
    "energy_storage_unit_1_product_mode": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47000,
        "quantity": 1,
    },
    "energy_storage_time_of_use_electricity_price_periods": {
        "read_write": "RW",
        "type": "MULTIDATA",
        "unit": "N/A",
        "gain": 1,
        "address": 47028,
        "quantity": 41,
    },
    "energy_storage_maximum_charging_power": {
        "read_write": "RW",
        "type": "UINT32",
        "unit": "W",
        "gain": 1,
        "address": 47075,
        "quantity": 2,
    },
    "energy_storage_maximum_discharging_power": {
        "read_write": "RW",
        "type": "UINT32",
        "unit": "W",
        "gain": 1,
        "address": 47077,
        "quantity": 2,
    },
    "energy_storage_charging_cutoff_capacity": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "%",
        "gain": 10,
        "address": 47081,
        "quantity": 1,
    },
    "energy_storage_discharging_cutoff_capacity": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "%",
        "gain": 10,
        "address": 47082,
        "quantity": 1,
    },
    "energy_storage_forced_charging_and_discharging_period": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "mins",
        "gain": 1,
        "address": 47083,
        "quantity": 1,
    },
    "energy_storage_forced_charging_and_discharging_power": {
        "read_write": "RW",
        "type": "INT32",
        "unit": "W",
        "gain": 1,
        "address": 47084,
        "quantity": 2,
    },
    "energy_storage_working_mode_settings": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47086,
        "quantity": 1,
    },
    "energy_storage_charge_from_grid_function": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47087,
        "quantity": 1,
    },
    "energy_storage_grid_charge_cutoff_soc": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "%",
        "gain": 10,
        "address": 47088,
        "quantity": 1,
    },
    "energy_storage_unit_product_model": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47089,
        "quantity": 1,
    },
    "energy_storage_forcible_charge_discharge": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47100,
        "quantity": 1,
    },
    "energy_storage_target_soc": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "%",
        "gain": 10,
        "address": 47101,
        "quantity": 1,
    },
    "energy_storage_backup_power_soc": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "%",
        "gain": 10,
        "address": 47102,
        "quantity": 1,
    },
    "energy_storage_product_model": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47106,
        "quantity": 1,
    },
    "energy_storage_unit_1_no": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47107,
        "quantity": 1,
    },
    "energy_storage_unit_2_no": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47108,
        "quantity": 1,
    },
    "fixed_charging_and_discharging_periods": {
        "read_write": "RW",
        "type": "MULTIDATA",
        "unit": "N/A",
        "gain": 1,
        "address": 47200,
        "quantity": 41,
    },
    "power_of_charge_from_grid": {
        "read_write": "RW",
        "type": "UINT32",
        "unit": "kW",
        "gain": 1000,
        "address": 47242,
        "quantity": 2,
    },
    "max_power_of_charge_from_grid": {
        "read_write": "RW",
        "type": "UINT32",
        "unit": "kW",
        "gain": 1000,
        "address": 47244,
        "quantity": 2,
    },
    "forcible_charge_discharge_setting_mode": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47246,
        "quantity": 1,
    },
    "forcible_charge_power": {
        "read_write": "RW",
        "type": "UINT32",
        "unit": "kW",
        "gain": 1000,
        "address": 47247,
        "quantity": 2,
    },
    "forcible_discharge_power": {
        "read_write": "RW",
        "type": "UINT32",
        "unit": "kW",
        "gain": 1000,
        "address": 47249,
        "quantity": 2,
    },
    "time_of_use_charging_discharging_periods": {
        "read_write": "RW",
        "type": "MLD",
        "unit": "N/A",
        "gain": 1,
        "address": 47255,
        "quantity": 43,
    },
    "excess_pv_energy_use_in_tou": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47299,
        "quantity": 1,
    },
    "active_power_control_mode": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47415,
        "quantity": 1,
    },
    "maximum_feed_grid_power_kw": {
        "read_write": "RW",
        "type": "INT32",
        "unit": "kW",
        "gain": 1000,
        "address": 47416,
        "quantity": 2,
    },
    "maximum_feed_grid_power_percentage": {
        "read_write": "RW",
        "type": "INT16",
        "unit": "%",
        "gain": 10,
        "address": 47418,
        "quantity": 1,
    },
    "dongle_maximum_charge_from_grid_power": {
        "read_write": "RW",
        "type": "UINT32",
        "unit": "kW",
        "gain": 1000,
        "address": 47590,
        "quantity": 2,
    },
    "backup_switch_to_off_grid": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47604,
        "quantity": 1,
    },
    "backup_voltage_in_independent_operation": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "V",
        "gain": 1,
        "address": 47605,
        "quantity": 1,
    },
    "battery_pack1_number": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47750,
        "quantity": 1,
    },
    "battery_pack2_number": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47751,
        "quantity": 1,
    },
    "battery_pack3_number_unit1": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47752,
        "quantity": 1,
    },
    "battery_pack1_number_unit2": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47753,
        "quantity": 1,
    },
    "battery_pack2_number_unit2": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47754,
        "quantity": 1,
    },
    "battery_pack3_number_unit2": {
        "read_write": "RW",
        "type": "UINT16",
        "unit": "N/A",
        "gain": 1,
        "address": 47755,
        "quantity": 1,
    },
}